WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: TC4.3.1 on old IDE Hardware  (Read 1305 times)

Offline sam.vanratt

  • Newbie
  • *
  • Posts: 18
TC4.3.1 on old IDE Hardware
« on: March 09, 2012, 01:34:11 PM »
Hello
I'd liketo get TC running on a Libretto 100CT (64MB RAM, P166, 8GB IDE SSD). As the IDE Controller is Standard about 1996 it's showing any device under the microcore (luckily I get a shell and could view dmesg and see no hdx or sdx device usable.  After that I tried a lot of parameters for the kernel (edd=on eide=on libata=no config_ide=y ide=nodma apm=on pnpbios=on pci=bios ide0=0x170,0x3f6) but with no luck. I'm sure no kernel hacker so maybe I used them in a wrong constellation (demonstrated that I didn't even get kmap=quertz/de-latin1 running that way)
Is there an extended kernel available to support more controllermodules in the kernel? Kernel 2.4 with it's non libata hd devices works (DSL4.4.10) but I prefer the smart GUI of TC over it.
The reason to use TC on such an old device is that I try to get rid of WinNT on that machine; mplayer, gcc, mpg123, proftpd and sshd is all I need in combination with lots of shells.
The chipset is a Toshiba 750 with only MWDMA2 (=16,6MB/s) available and a very fast SSD in it, so it could cope with a lot of my deals.
Cheers
Sam

Online bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 4799
    • My Community Forum
Re: TC4.3.1 on old IDE Hardware
« Reply #1 on: March 09, 2012, 01:35:37 PM »
Try4.4.rc2
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline sam.vanratt

  • Newbie
  • *
  • Posts: 18
Re: TC4.3.1 on old IDE Hardware
« Reply #2 on: March 10, 2012, 12:16:55 PM »
Hi bmarkus
you mean the switches will work then or the kernel will support my ancient hardware (again)?
I'll load it instantly, even when I'm happy up to the point that I installed all addon pakets (on a different plattform) languages, locales, Xserver (Neomagic), but I'm sure I get better by doing it often, so not so much of a problem.
Cheers
Sam

P.S.: Is it possible just to copy the core over it?
« Last Edit: March 10, 2012, 12:20:51 PM by sam.vanratt »

Offline maro

  • Hero Member
  • *****
  • Posts: 1229
Re: TC4.3.1 on old IDE Hardware
« Reply #3 on: March 10, 2012, 01:25:50 PM »
What bmarkus is pointing at is the fact that TC 4.4 (currently at "rc2") will be using a newly compiled kernel (i.e. 3.0.21 instead of 3.0.3) and some possibly beneficial changes to the kernel configuration which might have an impact in your case. As the initrd (i.e. 'Core.gz') contains the kernel modules you won't be able to use a new kernel (i.e. 'vmlinuz') with an old initdr (containing until now kernel modules for 3.0.3).

Offline sam.vanratt

  • Newbie
  • *
  • Posts: 18
Re: TC4.3.1 on old IDE Hardware
« Reply #4 on: March 10, 2012, 01:33:00 PM »
Hi
and works like a charm; I changed only vmlinuz and core.gz for a fast testing, and even with no parameter it booted and sdax is there; now I have only X open as my Neomagic doesn't offer fb but a simple shell (busybox) is more than enough to start.
Thanks!
Sam


Offline sam.vanratt

  • Newbie
  • *
  • Posts: 18
Re: TC4.3.1 on old IDE Hardware
« Reply #5 on: March 16, 2012, 12:47:44 PM »
Last Tuesday I upgraded to 4.4RC3 and works on my IDE Aadapter, so everythings fine up to X.
I got it working as long as I did deactivate zram swapping as init run out of memory and got killed.
I've got two open topics: a) where can I get OPL3 Modules for the kernel. When I installed the alsa package (with everything) and adding
modprobe opl3 io=0x388
modprobe opl3sa2 io=0x370 mss_io=0x530 mpu_io=0x330 irq=5 dma=1 dma2=0 ymode=2 isapnp=0 multiple=0
to my bootlocal.sh it errors with not found.
b) in my Lib100CT my neomagic is very Xorg 7.6 unfriendly and stays black (a known Bug in the NM driver), while Xfbe and Xvesa draws one coloured lines making guessing an essential part of working with it. Luckily crtl-backspace is working. I tried any video mode possible (8/15/16/24Bit and 640*400-800*480 (last is the native resolution) with the same result (see picture). Shall I try older Xorg versions? There are some work arounds (I used one on the same notebook under FreeBSD 8.2 to get X working there), but I do not want to install a complete gcc enviroment & Sources just to patch a small driver.

Cheers
Sam

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4194
Re: TC4.3.1 on old IDE Hardware
« Reply #6 on: March 16, 2012, 05:09:30 PM »
Hi sam.vanratt
I think   alsa-modules-3.0.21-tinycore.tcz    may be what you are looking for.
You could try an older version of Xorg, but first, do a search of the forum for   neomagic   , it might provide
some useful information.

Offline sam.vanratt

  • Newbie
  • *
  • Posts: 18
Re: TC4.3.1 on old IDE Hardware
« Reply #7 on: March 17, 2012, 02:42:56 PM »
Hi Rich
I already used the alsa-modules (incl in the alsa.tcz as well); as I could find a file with opl3 in its name (I have alsa installed "on boot" against my better wishes to safe ram) but when I modprobe it I get:
tc@box:~$ modprobe opl3sa2 io=0x370 mss_io=0x530 mpu_io=0x330 irq=5 dma=1 dma2=0
 ymode=2 isapnp=0 multiple=0
modprobe: module opl3sa2 not found in modules.dep

I do surely not want to temper with the modules.dep file if possible; I see in sys/modules a opl3 "entry" so I thought it should work.. any hint?


I searched the wiki and forum for the about 30 NM2160 solutions; the Lib100 BIOS  is quite incomp. to FB and VESA2, so the workarounds didn't work for me. As mentioned there's a fix for the Xorg Neomagic sourcepack but I had to install a compilersuite and Xorg Sources and ... to solve it my way. I did that under FreeBSD8.2 to get it working. I guess I have to do that instead of guessing around.


Cheers
Sam

Offline gerald_clark

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 3298
Re: TC4.3.1 on old IDE Hardware
« Reply #8 on: March 17, 2012, 03:04:42 PM »
Alsa and nvidia are off topic for this thread.

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4194
Re: TC4.3.1 on old IDE Hardware
« Reply #9 on: March 17, 2012, 03:52:18 PM »
Hi sam.vanratt
Try    modprobe snd_opl3sa2 io=0x370 mss_io=0x530 .......
modinfo snd_opl3sa2    for a list of accepted parameters.
And please start a couple of new threads for further audio and video problems.

Offline andrewb

  • Full Member
  • ***
  • Posts: 117
Re: TC4.3.1 on old IDE Hardware
« Reply #10 on: March 18, 2012, 02:25:54 PM »
sam.vanratt,

Great to hear you got TC4.4 running on the L100CT. I'll need to dig mine out & get it fired up.

You will get the display working with xfbdev - follow the instructions at http://wiki.tinycorelinux.net/wiki:display_modes . These worked for DSL & earlier versions of TC. For the L100CT use the vga=808 bootcode & change .xsession as described on the wiki page. You will then get 800 x 600 24 bit mode in X.

I haven't tried TC4 on the L100CT yet & won't get the chance for a week or so. When I do I'll have a look at how I got the sound running with the earlier version I used - it works ok, but does need some parameters passed to the modules if I remember right.
« Last Edit: March 18, 2012, 02:28:50 PM by andrewb »

Offline andrewb

  • Full Member
  • ***
  • Posts: 117
Re: TC4.3.1 on old IDE Hardware
« Reply #11 on: March 19, 2012, 03:28:24 AM »
OK - managed to fire up the L100CT. NVRAM battery was dead, but otherwise all worked OK. I'd never got TC fully working so can't report on that, but here are the settings I used with DSL 4 to get the sound & acpi functions working. The following commands were used in bootlocal.sh:

Code: [Select]
modprobe toshiba_acpi
modprobe ad1848 isapnp=0
modprobe opl3 io=0x388
modprobe opl3sa2 io=0x370 mss_io=0x330 irq=5 dma=1 dma2=0 ymode=2 isapnp=0 multiple=0

Looking at the Alsa wiki  for opl3sa2 http://www.alsa-project.org/main/index.php/Matrix:Module-opl3-sa2, it looks like the module is now called snd-opl3-sa2

Using the above XMMS plays wav files & the volume was controlled with DMIX

The kernel bootcodes used to start DSL 4 on the L100CT were:
Code: [Select]
vga=808 noapm dma noscsi
« Last Edit: March 19, 2012, 03:39:29 AM by andrewb »

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4194
Re: TC4.3.1 on old IDE Hardware
« Reply #12 on: March 19, 2012, 05:40:11 AM »
Hi andrewb
Regardless of what the WIKI says, AppBrowser lists it as   snd-opl3sa2.
To modprobe it, replace the dash with an underscore.
For a list of valid parameters, use   modinfo snd_opl3sa2
Please start a couple of new threads for further audio and video discussions, you can add links pointing to the new
threads so that others can follow.

Offline andrewb

  • Full Member
  • ***
  • Posts: 117
Re: TC4.3.1 on old IDE Hardware
« Reply #13 on: March 19, 2012, 04:38:21 PM »
@Rich

agree this should go to a separate thread - L100CT / opl3 / opl3sa2 sound now at:
http://forum.tinycorelinux.net/index.php/topic,12850.0.html